GSPL-CJLIST(8)

NAME
gspl-cjlist - dump out GNUspool jobs to directory

SYNOPSIS
gspl-cjlist [ -D dir ] [ -e n ] [ -u ] [ -s ] [ -f ] [ -m ] job file outfile workdir

DESCRIPTION
gspl-cjlist converts GNUspool job files held in the spool directory to an executable shell script which may be used to recreate them. This may be useful for backup purposes or for one stage in upgrading from one release of GNUspool to another.

The jobs are copied into the backup directory workdir, and the generated shell script file outfile refers to files in that directory.

gspl-cjlist will, if required, skip apparent errors in the job file.

In addition to options, three arguments are always supplied to gspl-cjlist.

Job list file
    This is the file containing the attributes of the jobs, spshed_jfile in the spool directory, by default, or as relocated by re-specifying "SPOOLDIR".

Output file
    This file is created by gspl-cjlist to contain the executable shell script which may be used to create the jobs.

Backup directory
    This directory is used to hold the job data.

Note that saved jobs make use of the -U option to gspl-pr(1) to set the ownership correctly but do not attempt to use the -E and -o options to set external queue or originating hosts.

OPTIONS

-D directory
    specifies the source directory for the jobs and job file rather than the current directory. It can be specified as $SPOOLDIR or "${SPOOLDIR-/var/spool/gnuspool}" etc and the environment and/or gnuspool.conf will be interrogated to interpolate the value of the environment variable given.

    If you use this, don't forget to put single quotes around it thus:

     gspl-cjlist -D '${SPOOLDIR-/var/spool/gnuspool}' ...

    otherwise the shell will try to interpret the "$" constructs and not gspl-cjlist.

-e n
    Tolerate n errors of the kinds denoted by the other options before giving up trying to convert the file.

-f  Ignore format errors (invalid form types etc) in the saved job file up to the limit of errors given by the -e option.

-m  Create "missing" dummy jobs where the job file refers to jobs not in the saved directory.

-s  Ignore file size errors in the saved job file (up to the number of total errors given by the -e option).

-u  Do not reject the save job file if it contains invalid user names.

    This may be necessary where the job file is corrupted and gspl-cjlist cannot work out which version it is.

SEE ALSO
gspl-cplist(8), gspl-setspdir(8), gspl-spuconv(8).

COPYRIGHT
Copyright (c) 2009 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

AUTHOR
John M Collins, Xi Software Ltd.